Can't launch after upgrade from 3.0.2 to 3.1

After upgrade PyCharm from 3.0.2 to 3.1 "successfully", I can't launch it any more, it always crash during launching.
This also happens when I was upgrading webstorm to the last version last month.
I have to download a full install package and reinstall it.

During the upgrading, there was a dialog, it said "There is a conflict", and asked me to make a choose.

BTW:
This dialog is really confusing me, I don't know how to choose. It just list three columns:
Action          Problem          Solution
Update          Modified          Ignore

1. It told me to select from the "solution" column, but obviously there is only one option, and click "Ignore" results nothing (I was expecting a drop-down list)
2. "Update", "Modified", "Ignore" are all clickable cells, I used to think these were "three options" (as I don't want to "ignore" the patch, I wan't to apply the patch, but there is no other clickable thing except "Update" and "Modified" cells)

Mac OS X 10.9.1, 13r MBP
1 comment
Comment actions Permalink
Had the same frustrating "successful" experience... except I had no conflict.
Poor quality indeed.

Fixed by deleting entire Pycharm app and getting 3.1 from the JetBrains site and that seems to work for me.

Guess this what they mean by bleeding edge.
0

Please sign in to leave a comment.